Search for billograms

List/search billogram objects with optional filtering and pagination

Query Parameters
  • page
    Type: integer
    min:  
    1
    required

    The result page number to fetch. The first page has number 1 (one).

  • page_size
    Type: integer
    min:  
    1
    max:  
    100
    required

    How many results to return per page. Settings this number too high may impact performance, we recommend values between 10 and 100.

  • filter_type
    Type: stringenum

    Type of filtering to perform

    values
    • field
    • field-prefix
    • field-search
  • filter_field
    Type: string

    Field to filter on when using field-based filtering

  • filter_value
    Type: string

    Value to filter by when using field-based filtering

  • order_field
    Type: string

    Field to order results by

  • order_direction
    Type: stringenum

    Direction to order results

    values
    • asc
    • desc
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/billogram
curl 'https://sandbox.billogram.com/api/v2/billogram?page=1&page_size=25&filter_type=field&filter_field=&filter_value=&order_field=&order_direction=asc' \
  --header 'Authorization: Basic username:password'
{
  "status": "string",
  "data": [
    {
      "id": "2kAEEjE",
      "invoice_no": 1,
      "ocr_number": "string",
      "creditor_unique_value": "string",
      "customer": {
        "customer_no": 1,
        "org_no": "string",
        "name": "string",
        "email": "hello@example.com",
        "vat_no": "string",
        "phone": "string",
        "address": {
          "careof": "string",
          "use_careof_as_attention": true,
          "attention": "string",
          "address_line_1": "string",
          "address_line_2": "string",
          "address_line_3": "string",
          "administrative_area": "string",
          "dependent_locality": "string",
          "organization": "string",
          "sorting_code": "string",
          "zipcode": "string",
          "city": "string",
          "country": "SE"
        },
        "delivery_address": {
          "name": "string",
          "address_line_1": "string",
          "address_line_2": "string",
          "address_line_3": "string",
          "administrative_area": "string",
          "dependent_locality": "string",
          "organization": "string",
          "sorting_code": "string",
          "careof": "string",
          "attention": "string",
          "zipcode": "string",
          "city": "string",
          "country": "string"
        },
        "permanent_establishment_address": {
          "name": "string",
          "additional_name": "string",
          "family_name": "string",
          "address_line_1": "string",
          "address_line_2": "string",
          "address_line_3": "string",
          "administrative_area": "string",
          "dependent_locality": "string",
          "organization": "string",
          "sorting_code": "string",
          "zipcode": "string",
          "city": "string",
          "country": "string"
        },
        "edi": {
          "electronic_id": 1,
          "operator": "addett",
          "reference": "string",
          "note": "string"
        }
      },
      "invoice_date": "2026-04-29",
      "due_date": "2026-04-29",
      "currency": "SEK",
      "state": "string",
      "flags": [
        "string"
      ],
      "remaining_sum": 1,
      "total_sum": 1,
      "created_at": "2026-04-29T11:19:15.647Z",
      "updated_at": "2026-04-29T11:19:15.647Z"
    }
  ]
}